Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 175267 - dispatcher process has non-blocking stdin
Summary: dispatcher process has non-blocking stdin
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-08 12:00 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-15 15:56:39 UTC


Attachments (Terms of Use)

Description Tim Waugh 2005-12-08 12:00:42 UTC
Description of problem:
The dispatcher process is spawned with a stdin file descriptor that is
non-blocking.  It would probably be better if it were blocking.

Version-Release number of selected component (if applicable):
audit-1.1.2-1

How reproducible:
100%

Steps to Reproduce:
1. See bug #173283.
  
Actual results:
Shell script will busy-loop.

Expected results:
No busy-looping, read() call waits until data is available.

Comment 1 Steve Grubb 2005-12-08 23:42:23 UTC
This is by design since dispatching events is secondary to logging to disk. The
audit daemon is in a race with the OS to dequeue events before the backlog
overflows. Because of this, the dispatcher comm is done with non-blocking
techniques.


Note You need to log in before you can comment on or make changes to this bug.